
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "a PodWeaver plugin used to build Task distributions",
  "AUTHOR" => "Ricardo Signes <rjbs\@cpan.org>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "Dist-Zilla-Plugin-TaskWeaver",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "Dist::Zilla::Plugin::TaskWeaver",
  "PREREQ_PM" => {
    "Dist::Zilla" => "2",
    "Dist::Zilla::Plugin::PodWeaver" => "0",
    "Dist::Zilla::Role::FileGatherer" => "0",
    "Dist::Zilla::Role::PrereqSource" => "0",
    "Moose" => "0",
    "Moose::Autobox" => "0",
    "Pod::Elemental" => "0",
    "Pod::Elemental::Selectors" => "0",
    "Pod::Elemental::Transformer::Nester" => "0",
    "Pod::Weaver" => "3",
    "Pod::Weaver::Role::Dialect" => "0",
    "Pod::Weaver::Role::Section" => "0",
    "Test::More" => "0.88"
  },
  "TEST_REQUIRES" => {
    "File::Find" => "0",
    "File::Temp" => "0",
    "Test::More" => "0.96",
    "strict" => "0",
    "warnings" => "0"
  },
  "VERSION" => "0.101626",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  my $tr = delete $WriteMakefileArgs{TEST_REQUIRES};
  my $br = $WriteMakefileArgs{BUILD_REQUIRES};
  for my $mod ( keys %$tr ) {
    if ( exists $br->{$mod} ) {
      $br->{$mod} = $tr->{$mod} if $tr->{$mod} > $br->{$mod};
    }
    else {
      $br->{$mod} = $tr->{$mod};
    }
  }
}

unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



